import { Visualizer } from '../../..';
import { IConfigurationFilter, IScene, ISceneConfiguration, ISceneConfigurationEntity } from '../../EventSystem/EventTypes';
import { Core } from '@byondrnd/byond-web-lib';
declare type TLocation = {
    index: number;
    experienceId: string;
    id: string;
    organization: string;
    catalog: string;
    image: string;
    sceneConfigurations: ISceneConfiguration;
};
export declare class SceneMetadataManager {
    visualizer: Visualizer;
    sceneConfigurations: Map<string, ISceneConfigurationEntity>;
    metaData?: Core.Metadata.ExperienceMetadata;
    private sceneFiltersChecked;
    private sceneFilters?;
    constructor(visualizer: Visualizer);
    init(metaData: Core.Metadata.ExperienceMetadata): void;
    initSceneFilters(): void;
    getSceneFilters: () => IConfigurationFilter[];
    getSceneFiltersChecked: () => IConfigurationFilter[];
    setSceneFilterChecked(filtersChecked: IConfigurationFilter[]): void;
    private getMetaData;
    getLocation(sceneId?: string): TLocation;
    getScene(location: TLocation): IScene;
    getApiEndpoint: () => any;
    getApiToken: () => any;
    private getEmail;
    private getPassword;
    getCatalogProps(sceneId: string): {
        experienceId: string;
        apiEndoint: any;
        apiToken: any;
        email: any;
        password: any;
        organization: string;
        catalog: string;
    };
    getSceneTitle: (sceneId: string) => string;
    getSceneSubtitle: (sceneId: string) => string;
    getMaxFaceSize: (sceneId: string) => number;
    getSceneList(): IScene[];
    resetSceneConfigurationLabel(): void;
    getSceneConfiguration(sceneId: string): ISceneConfigurationEntity;
}
export {};
